## libics 1.5.2

=== debian/changelog ===
libics (1.5.2-4ubuntu1) trusty; urgency=medium

  * Use autotools-dev instead of dh-autoreconf to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).

 -- Logan Rosen <logan@ubuntu.com>  Wed, 15 Jan 2014 19:34:55 -0500

libics (1.5.2-4) unstable; urgency=low

  * Add symbols file
  * Bump to Std-Vers 3.9.4.
    - d/rules: move install target to install-arch

 -- Mathieu Malaterre <malat@debian.org>  Sun, 09 Jun 2013 17:01:57 +0200

libics (1.5.2-3) unstable; urgency=low

  * Use dh(9), get hardening for free
  * Add libics-doc package for documentation
  * Make multiarch

 -- Mathieu Malaterre <malat@debian.org>  Wed, 11 Apr 2012 18:57:00 +0200

libics (1.5.2-2) unstable; urgency=low

  * Pull svn rev 10 to fix big endian issues.

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Apr 2012 09:05:59 +0200

libics (1.5.2-1) unstable; urgency=low

  * Initial Debian Upload (Closes: #666082)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 28 Mar 2012 17:28:11 +0200
