=== debian/control ===
Source: libics
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev | libz-dev, dh-autoreconf
Standards-Version: 3.9.4
Homepage: http://libics.sf.net
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/libics/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/libics/trunk/

Package: libics0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Image Cytometry Standard file reading and writing
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries needed to run ICS applications.

Package: libics-dev
Provides: libics0-dev
Section: libdevel
Architecture: any
Depends: libics0 (= ${binary:Version}), ${misc:Depends}
Description: Image Cytometry Standard file reading and writing
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries needed to build ICS applications.

Package: libics-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Description: Image Cytometry Standard file reading and writing
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries documentation for ICS
