=== debian/watch ===
version=3
http://sf.net/libics/libics-([\d\.]+)\.tar\.gz
