## libics 1.6.2

=== debian/changelog ===
libics (1.6.2-2) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Thu, 01 Nov 2018 15:18:22 +0100

libics (1.6.2-1) unstable; urgency=medium

  * New upstream version
    Closes: #882430

 -- Andreas Tille <tille@debian.org>  Sat, 02 Dec 2017 08:15:35 +0100

libics (1.6.1-1) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Andreas Tille ]
  * New upstream version
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Project moved to Github
  * hardening=+all
  * I'm to lazy to maintain symbols files for libs without rdepends
  * Use d-shlibs
  * DEP5
  * Distinct short descriptions for packages

 -- Andreas Tille <tille@debian.org>  Wed, 22 Nov 2017 12:55:06 +0100

libics (1.5.2-6) unstable; urgency=medium

  * Fix arch only builds
    Closes: #750617

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jun 2014 09:32:22 +0200

libics (1.5.2-5) unstable; urgency=medium

  * use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el
    (thanks for the patch to Logan Rosen <logan@ubuntu.com>)
    Closes: #735636
  * cme fix dpkg-control
  * debian/rules: remove privacy-breach-logo

 -- Andreas Tille <tille@debian.org>  Tue, 13 May 2014 15:25:22 +0200
