=== debian/control ===
Source: libics
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               zlib1g-dev | libz-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/libics
Vcs-Git: https://salsa.debian.org/med-team/libics.git
Homepage: https://svi-opensource.github.io/libics/

Package: libics0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Image Cytometry Standard file reading and writing
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries needed to run ICS applications.

Package: libics-dev
Architecture: any
Section: libdevel
Depends: libics0 (= ${binary:Version}),
         ${misc:Depends}
Provides: libics0-dev
Description: Image Cytometry Standard file reading and writing (devel)
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries needed to build ICS applications.

Package: libics-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         doc-base
Description: Image Cytometry Standard file reading and writing (doc)
 This is the reference library for ICS (Image Cytometry Standard), an open
 standard for writing images of any dimensionality and data type to file,
 together with associated information regarding the recording equipment or
 recorded subject.
 .
 This package contains the libraries documentation for ICS
