=== debian/changelog ===
libics (1.6.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Ignore failing test

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 14:07:35 +0200
