=== debian/changelog ===
libics (1.6.4-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add symbols file
  * Run the tests serially
    Closes: #953191

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 07 Mar 2020 08:10:12 +0100
