=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                zlib1g-dev | libz-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libics
 Vcs-Git: https://salsa.debian.org/med-team/libics.git
 Homepage: https://svi-opensource.github.io/libics/
