=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,8 @@
 		    --exclude-la \
                     --movedev debian/tmp/usr/include usr \
                     debian/tmp/usr/lib/*/*.so
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	make -j1 check VERBOSE=1
+endif
