=== debian/watch ===
version=4

https://github.com/svi-opensource/libics/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
