=== debian/changelog ===
libics (1.6.5-2) unstable; urgency=medium

  * d/watch: Add filenamemangle
  * Do not build anything when just creating doc package
    Closes: #996334

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 15:44:31 +0200

libics (1.6.5-1) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove Section on libics0 that duplicates source.
  * Apply multi-arch hints.
    + libics-dev, libics0: Add Multi-Arch: same.
  * Prevent lintian-brush from removing duplicate section entry which is
    needed by d-shlibs by using Section: science for source package
  * Deal with unneded *.la file

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 09:53:43 +0200
