=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libics
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: libs
+Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                zlib1g-dev | libz-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/libics
 Vcs-Git: https://salsa.debian.org/med-team/libics.git
 Homepage: https://svi-opensource.github.io/libics/
+Rules-Requires-Root: no
 
 Package: libics0
 Architecture: any
@@ -17,6 +18,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Description: Image Cytometry Standard file reading and writing
  This is the reference library for ICS (Image Cytometry Standard), an open
  standard for writing images of any dimensionality and data type to file,
@@ -31,6 +33,7 @@
 Depends: libics0 (= ${binary:Version}),
          ${misc:Depends}
 Provides: libics0-dev
+Multi-Arch: same
 Description: Image Cytometry Standard file reading and writing (devel)
  This is the reference library for ICS (Image Cytometry Standard), an open
  standard for writing images of any dimensionality and data type to file,
