## libics 1.6.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Copyright (C) 2000-2013, 2016 Cris Luengo and others
 # Copyright 2015, 2016:
 #   Scientific Volume Imaging Holding B.V.
-#   Laapersveld 63, 1213 VB Hilversum, The Netherlands
+#   Hilversum, The Netherlands.
 #   https://www.svi.nl
 #
 #   CMakeLists.txt
@@ -18,7 +18,7 @@
    cmake_policy(SET CMP0068 NEW)
 endif()
 
-project(libics VERSION 1.6.6)
+project(libics VERSION 1.6.8)
 
 # Note: the version number above is not yet used anywhere.
 # TODO: rewrite the header file with this version number.
@@ -213,3 +213,4 @@
 if(LIBICS_INCLUDE_CPP)
    include(support/cpp_interface/CMakeLists.txt)
 endif()
+
