=== debian/changelog ===
libics (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8
  * d/copyright: update copyright year and upstream change.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/libics0.symbols: declare Build-Depends-Package field.
  * ignore_failing_test.patch: delete: issue resolved upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Nov 2024 17:51:03 +0100
