=== debian/changelog ===
libics (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * d/copyright: bump upstream copyright year.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * d/rules: trim unused variable.
  * d/copyright: drop the old FSF mail address.
  * d/rules: stabilize running tests.
    Checks are invoked by enforcing make execution order.  Anything more
    appropriate is also going to be much more intrusive upstream.
    (Closes: #1105503)

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Nov 2025 23:53:58 +0100
