=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
@@ -25,5 +23,6 @@
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	make -j1 check VERBOSE=1
+	# Test items are expected to be run in their declared order.
+	$(MAKE) --shuffle=none -j1 check VERBOSE=1
 endif
