=== debian/watch ===
Version: 5

Template: Github
Owner: svi-opensource
Project: libics
